Bug 848937 - [abrt] graphviz-2.28.0-11.fc16: record_gencode: Process /usr/bin/dot was killed by signal 11 (SIGSEGV)
[abrt] graphviz-2.28.0-11.fc16: record_gencode: Process /usr/bin/dot was kill...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: graphviz (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Patrick Laughton
Fedora Extras Quality Assurance
abrt_hash:3a6ee2f4cb1f221e595c30728bd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 17:07 EDT by Elliott Sales de Andrade
Modified: 2013-02-13 10:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:03:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (38.29 KB, text/plain)
2012-08-16 17:07 EDT, Elliott Sales de Andrade
no flags Details
File: backtrace (20.94 KB, text/plain)
2012-08-16 17:07 EDT, Elliott Sales de Andrade
no flags Details

  None (edit)
Description Elliott Sales de Andrade 2012-08-16 17:07:33 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        dot /home/zero-one/code/MC3D/src/html/ddwnrm_8f_ad0e615313a751a81cdedd7a01e85ffd8_icgraph.dot -Tpng -o /home/zero-one/code/MC3D/src/html/ddwnrm_8f_ad0e615313a751a81cdedd7a01e85ffd8_icgraph.png
crash_function: record_gencode
executable:     /usr/bin/dot
kernel:         3.4.7-1.fc16.x86_64
pid:            2362
pwd:            /home/zero-one/code/MC3D/src
time:           Thu 16 Aug 2012 04:57:29 PM EDT
uid:            1000
username:       zero-one

backtrace:      Text file, 21439 bytes
maps:           Text file, 39210 bytes

build_ids:
:9efd824bf587def50099e2ae657a5cce012fa658
:78d583ce55c886ec6a888e22f161a57cc428eeaf
:308b70d7bca49920e1e8a18b84986a3724c1e9cc
:41070821b73c1c784e45c529118c4e0605ad0787
:35240db88b50d2c2793163a8902075e96b36647c
:0911ea7c180d733724f89037b8e8a34e64024aec
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:6cded60dd119fb8b8aa41b264e12931cb2c7b67f
:1c6a95451ee19617be5abea3d121f0226d21ddda
:83ecebde12fbdca06b42acb8020b6bd3add804ea
:a638ccc3535e307dfbe8338df04ee414b42a606c
:3a2c00058f6bc91272c8846d553d3834fab0f3c2
:f0d50e3af2dfee021a327fb85a993a2312a98145
:6788b943089846e98f7dc9cdb5dca63924909b25
:578e66700318d8cec8e5f03778c434743a55e153
:8d7b37230c2a06d58882745fd7156055eff13967
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:9d9faac60303451fec9d41df417d217f45f6e0fa
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:47dcd44c470dc0b51a50bdef62d35c87b195efdd
:4c842320387ff7f6f91b7842b223c16518be909f
:6a7541a2ec34589cc35300d8fc86d7f640b8ce42
:f8f4d8e260ee8f3b262936920270ace01b2da537
:58803db420709341d8e6a713b18e54a6e1824272
:75eaece6e0d1e075520cdfad5c398fdab4370846
:a518a8b1b5c3e80dee813df05e951d205d6ac48c
:07470201df55a5254027d05fa4dc509b10f2986a
:3bbe4d98714c66cda2944cd39900eea5d348df18
:f9aa72f20a1a7465d733b6abe82a861b96bb0fd6
:35e1c90cae06bd11b72ea30e62380b3b0da2a8c9
:3437fbc1b9876f2d55c8c9beffbda021a61b1e61
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:bf404f1f16ae38c405a644f7f2a5a3de02e5d158
:0d039828591f6fe108db1d5458ca340cbfc4ff6d
:ee2f04900ae1f07517d91eba300ef385fccab1b8

comment:
:1. Run doxygen.
:2. Press Ctrl+C during call-graph generation.

dso_list:
:/lib64/libm-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1340169877
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libpathplan.so.4.0.0 graphviz-2.28.0-11.fc16.x86_64 (Fedora Project) 1325748563
:/usr/bin/dot graphviz-2.28.0-11.fc16.x86_64 (Fedora Project) 1325748563
:/lib64/libz.so.1.2.5 zlib-1.2.5-6.fc16.x86_64 (Fedora Project) 1327541533
:/lib64/ld-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1340169877
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-9.fc16.x86_64 (Fedora Project) 1332656595
:/lib64/libgthread-2.0.so.0.3000.3 glib2-2.30.3-1.fc16.x86_64 (Fedora Project) 1336438453
:/usr/lib64/graphviz/libgvplugin_dot_layout.so.6.0.0 graphviz-2.28.0-11.fc16.x86_64 (Fedora Project) 1325748563
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.x86_64 (Fedora Project) 1320287321
:/usr/lib64/libpng12.so.0.49.0 libpng-2:1.2.49-1.fc16.x86_64 (Fedora Project) 1335654029
:/usr/lib64/graphviz/libgvplugin_pango.so.6.0.0 graphviz-2.28.0-11.fc16.x86_64 (Fedora Project) 1325748563
:/usr/lib64/libpangoft2-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1320287342
:/lib64/librt-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1340169877
:/usr/lib64/libgvc.so.6.0.0 graphviz-2.28.0-11.fc16.x86_64 (Fedora Project) 1325748563
:/usr/lib64/libfreetype.so.6.7.1 freetype-2.4.6-5.fc16.x86_64 (Fedora Project) 1334797517
:/usr/lib64/libgraph.so.5.0.0 graphviz-2.28.0-11.fc16.x86_64 (Fedora Project) 1325748563
:/usr/lib64/libpango-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1320287342
:/lib64/libgmodule-2.0.so.0.3000.3 glib2-2.30.3-1.fc16.x86_64 (Fedora Project) 1336438453
:/lib64/libpthread-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1340169877
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1320287306
:/lib64/libgobject-2.0.so.0.3000.3 glib2-2.30.3-1.fc16.x86_64 (Fedora Project) 1336438453
:/lib64/libdl-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1340169877
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1320287306
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-1.fc16.x86_64 (Fedora Project) 1320287305
:/usr/lib64/libxdot.so.4.0.0 graphviz-2.28.0-11.fc16.x86_64 (Fedora Project) 1325748563
:/lib64/libglib-2.0.so.0.3000.3 glib2-2.30.3-1.fc16.x86_64 (Fedora Project) 1336438453
:/lib64/libc-2.14.90.so glibc-2.14.90-24.fc16.7.x86_64 (Fedora Project) 1340169877
:/usr/lib64/libpixman-1.so.0.24.4 pixman-0.24.4-1.fc16.x86_64 (Fedora Project) 1335747711
:/lib64/libexpat.so.1.6.0 expat-2.1.0-1.fc16.x86_64 (Fedora Project) 1335924884
:/usr/lib64/libpangocairo-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1320287342
:/lib64/libgcc_s-4.6.3-20120306.so.1 libgcc-4.6.3-2.fc16.x86_64 (Fedora Project) 1333433970
:/usr/lib64/libcdt.so.5.0.0 graphviz-2.28.0-11.fc16.x86_64 (Fedora Project) 1325748563
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-4.fc16.x86_64 (Fedora Project) 1320287323

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=VeniVidiVici.HOME
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-0cEO1q/gpg:0:1
:SHELL=/bin/bash
:TERM=xterm
:XDG_SESSION_COOKIE=ff831396568380a65b4ba5f100000011-1345148572.480151-215529323
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=41943045
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-0cEO1q
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=zero-one
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/keyring-0cEO1q/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1450,unix/unix:/tmp/.ICE-unix/1450
:USERNAME=zero-one
:DESKTOP_SESSION=gnome
:MAIL=/var/spool/mail/zero-one
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/zero-one/.local/bin
:GSETTINGS_SCHEMA_DIR=/home/zero-one/.local/share/glib-2.0/schemas/
:_=/usr/bin/dot
:QT_IM_MODULE=xim
:PWD=/home/zero-one/code/MC3D/src
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:LANG=en_CA.utf8
:GNOME_KEYRING_PID=1446
:GDM_LANG=en_CA.utf8
:MODULEPATH=/usr/share/Modules/modulefiles:/etc/modulefiles
:KDEDIRS=/usr
:LOADEDMODULES=
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=3
:HOME=/home/zero-one
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=zero-one
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-pcQOFkFEcY,guid=963b9cd0be58ba07bcae66e200000147
:MODULESHOME=/usr/share/Modules
:DOTFONTPATH=/home/zero-one/code/MC3D/src/html
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:MTN_MERGE=meld
:XDG_RUNTIME_DIR=/run/user/zero-one
:XAUTHORITY=/var/run/gdm/auth-for-zero-one-FSUOFJ/database
:COLORTERM=gnome-terminal
:'module=() {  eval `/usr/bin/modulecmd bash $*`\n}'

var_log_messages:
:Aug 16 16:57:29 VeniVidiVici kernel: [ 2404.496592] dot[2362]: segfault at 10 ip 0000003265e466f9 sp 00007fffd01c9d80 error 4 in libgvc.so.6.0.0[3265e00000+73000]
:Aug 16 16:57:29 VeniVidiVici kernel: [ 2404.513874] dot[2361]: segfault at 10 ip 0000003265e466f9 sp 00007fffa7a840c0 error 4 in libgvc.so.6.0.0[3265e00000+73000]
:Aug 16 16:57:29 VeniVidiVici abrt[2365]: Not dumping repeating crash in '/usr/bin/dot'
:Aug 16 16:57:29 VeniVidiVici abrt[2363]: Saved core dump of pid 2362 (/usr/bin/dot) to /var/spool/abrt/ccpp-2012-08-16-16:57:29-2362 (2048000 bytes)
Comment 1 Elliott Sales de Andrade 2012-08-16 17:07:36 EDT
Created attachment 605023 [details]
File: maps
Comment 2 Elliott Sales de Andrade 2012-08-16 17:07:39 EDT
Created attachment 605024 [details]
File: backtrace
Comment 3 Fedora End Of Life 2013-01-16 09:04:43 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 10:03:21 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.